Package: grails.artefact

## [Java] Annotation Type Enhances

- grails.artefact.Enhances

-     @java.lang.annotation.Retention(RetentionPolicy.RUNTIME)
      @java.lang.annotation.Target({ElementType.TYPE})
      @org.codehaus.groovy.transform.GroovyASTTransformationClass("org.grails.compiler.injection.EnhancesTraitTransformation")
      public @interface Enhances

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `java.lang.String[]` | `value` Returns: The artefact types (Example: Controller, Service etc.)

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Element Detail

    - #### public java.lang.String[] value

      Returns:
        The artefact types (Example: Controller, Service etc.)